Create a share link
Creates a share link for a document or dataroom. Optional password, expiry, email allowlist, and other access controls.
Authorization
bearerAuth links.writeAuthorizationBearer <token>
Dashboard-issued token (pm_live_...) or OAuth-issued access token.
In: header
Scope: links.write
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.papermark.com/v1/links" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "clxabc1234567890",
"name": "Q4 pitch — Acme Ventures",
"link_type": "DOCUMENT_LINK",
"document_id": "clxdoc0987654321",
"dataroom_id": "string",
"url": "https://www.papermark.com/view/clxabc1234567890",
"slug": null,
"domain_slug": "string",
"expires_at": "2019-08-24T14:15:22Z",
"is_password_protected": true,
"email_protected": true,
"email_authenticated": true,
"allow_download": true,
"allow_list": [
"string"
],
"deny_list": [
"string"
],
"enable_watermark": true,
"enable_feedback": true,
"enable_screenshot_protection": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "unauthorized",
"message": "Missing bearer token.",
"doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
"details": null
}
}{
"error": {
"code": "unauthorized",
"message": "Missing bearer token.",
"doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
"details": null
}
}{
"error": {
"code": "unauthorized",
"message": "Missing bearer token.",
"doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
"details": null
}
}{
"error": {
"code": "unauthorized",
"message": "Missing bearer token.",
"doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
"details": null
}
}{
"error": {
"code": "unauthorized",
"message": "Missing bearer token.",
"doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
"details": null
}
}{
"error": {
"code": "unauthorized",
"message": "Missing bearer token.",
"doc_url": "https://www.papermark.com/docs/api/errors#unauthorized",
"details": null
}
}